Subject: bug#69637: closed (Re: [bug#69637] [PATCH mesa-updates v2 0/5] gnu: mesa: Update to 24.0.3.)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 18 Apr 2024 04:41:02 +0000

Your bug report

#69637: [PATCH mesa-updates 0/6] gnu: mesa: Update to 24.0.2.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
69637: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=69637
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#69637] [PATCH mesa-updates v2 0/5] gnu: mesa: Update to 24.0.3.
From: John Kehayias <[email-masked]>
To: aurtzy <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Thu, 18 Apr 2024 04:39:33 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

On Wed, Mar 27, 2024 at 01:17 AM, John Kehayias wrote:

> Hello,
>
> On Tue, Mar 26, 2024 at 10:14 PM, aurtzy wrote:
>
>> Looks like 24.1 stable should be releasing May-June:
>> <https://docs.mesa3d.org/release-calendar.html>
>>
>
> All the more reason to pre-empt it a bit, as I will be away for most
> of May and the beginning of June :-)
>
>> This approach sounds fine to me. I don't mind holding back the
>> NVK-related changes for more testing and
>> improvement.
>>
>
> Great, thanks!
>
> I applied a version only bump locally (haven't pushed it out live yet)
> and so far so good. I put you as co-author, even though it was just
> the hash basically, you did save me having to do that.
>
> Once this is on mesa-updates, you can base your patches on that (bunch
> of other updates too) and it can live on that branch in prep for 24.1.
>
> Thanks again!
> John

mesa updated to 24.0.3 in b43d36a556c1c1d75fdffbec08d8c39121a528cd and
then 24.0.4 in 23928e2d426fb63945682c2c8c60145fe4d333dd.

Closing this issue number, but thank you for the efforts so far for NVK.
Happy to have patches for 24.1 on mesa-updates when you have them.

John

Subject: [PATCH mesa-updates 0/6] gnu: mesa: Update to 24.0.2.
From: aurtzy <[email-masked]>
To: [email-masked]
Cc: [email-masked], aurtzy <[email-masked]>
Date: Fri, 8 Mar 2024 07:32:39 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello!

This series of patches updates Mesa to the latest stable version with the NVK
Vulkan driver for NVIDIA GPUs enabled for x86_64 systems.

Mesa 24.0.2 depends on a newer version of libdrm (>= 2.4.119), which is
pending in another issue (https://issues.guix.gnu.org/68845).

Some packages (rust-syn-2.0.39, rust-proc-macro2-1.0.70, rust-quote-1.0.33)
were added specifically to be used as sources that satisfy explicit versions
of dependencies required by Mesa (for NVK).  Would it be better to inline
origins in the change-subproject-sources phase?  The same question also
applies for the rust-unicode-ident-1 source.

Currently, the Rust dependencies are found in the build by substituting the
fallback https://* URLs in the relevant ./subprojects/*.wrap files with
file://*, then relying on the fallback to "download" from the store.  It
seemed a bit hacky doing it this way, but I'm not aware of a better solution.

A newer Meson version is also required for NVK (>= 1.3.0), which this patch
series adds a new variable for.

x86_64-linux and i686-linux have been tested to successfully build.

Cheers,

aurtzy

aurtzy (6):
  gnu: Add meson-1.3.
  gnu: Add rust-syn-2.0.39.
  gnu: Add rust-proc-macro2-1.0.70.
  gnu: Add rust-quote-1.0.33.
  gnu: Add rust-bindgen-cli-0.69.
  gnu: mesa: Update to 24.0.2.

 gnu/packages/build-tools.scm | 14 ++++++
 gnu/packages/crates-io.scm   | 95 ++++++++++++++++++++++++++++++++++++
 gnu/packages/gl.scm          | 68 +++++++++++++++++++-------
 3 files changed, 160 insertions(+), 17 deletions(-)

base-commit: 0b5cbca689b2f91949e191ca256ffc9bb48c1141
-- 
2.41.0